Bug 535729 - (RHQ-2395) [NativeSystemInfo.getFileSystem] Too many open files
[NativeSystemInfo.getFileSystem] Too many open files
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-08-31 01:04 EDT by Joakim Sandstrom
Modified: 2014-05-09 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 11:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log.tar.gz (213.29 KB, application/x-gzip)
2009-08-31 01:05 EDT, Joakim Sandstrom
no flags Details

  None (edit)
Description Joakim Sandstrom 2009-08-31 01:04:00 EDT
This error appears on the rhq-agent once a week, so someone isn't freeing resources.

agent.log-2009-08-31 07:05:13,243 WARN  [ResourceContainer.invoker.daemon-9054] (org.rhq.core.system.NativeSystemInfo)- Cannot obtain native file system information for [/kvm]
agent.log:org.hyperic.sigar.SigarException: Too many open files
agent.log-      at org.hyperic.sigar.SigarProxyCache.invoke(SigarProxyCache.java:222)
agent.log-      at $Proxy36.getFileSystemMap(Unknown Source)
agent.log-      at org.rhq.core.system.NativeSystemInfo.getFileSystem(NativeSystemInfo.java:309)
agent.log-      at org.rhq.plugins.platform.FileSystemComponent.getFileSystemInfo(FileSystemComponent.java:69)
agent.log-      at org.rhq.plugins.platform.FileSystemComponent.getAvailability(FileSystemComponent.java:59)

agent.log-2009-08-31 07:32:37,186 WARN  [ResourceContainer.invoker.daemon-9054] (org.rhq.core.system.NativeSystemInfo)- Cannot obtain native file system information for [/home]
agent.log:org.hyperic.sigar.SigarException: Too many open files
agent.log-      at org.hyperic.sigar.SigarProxyCache.invoke(SigarProxyCache.java:222)
agent.log-      at $Proxy36.getFileSystemMap(Unknown Source)
agent.log-      at org.rhq.core.system.NativeSystemInfo.getFileSystem(NativeSystemInfo.java:309)
agent.log-      at org.rhq.plugins.platform.FileSystemComponent.getFileSystemInfo(FileSystemComponent.java:69)
agent.log-      at org.rhq.plugins.platform.FileSystemComponent.getAvailability(FileSystemComponent.java:59)

rhq-core 1.2
jopr: 2.2.0
Comment 1 Joakim Sandstrom 2009-08-31 01:05:39 EDT
agent log (grep "Too many")
Comment 2 Red Hat Bugzilla 2009-11-10 16:03:36 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2395
Imported an attachment (id=368788)
Comment 3 wes hayutin 2010-02-16 11:59:25 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:04:38 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-11-22 12:59:14 EST
Ian - what are your thoughts - is this a known sigar issue?
Comment 6 Ian Springer 2010-11-23 17:31:10 EST
I don't see anything like that in SIGAR jira. My guess is that this is not a SIGAR bug. There could be code in the RHQ Agent, PC, or plugins that is not closing files when done with them. We will need to do an audit of all that code to look for all R/W input streams or readers/writers are being closed.

Note You need to log in before you can comment on or make changes to this bug.